- API-Referenz
- Marktplatz
- Get an extension instance
Get an extension instance
GET/v2/extension-instances/{extensionInstanceId}
API-Version
v2
Request-Methode
GET
Operation-ID
extension-get-extension-instance
Request
- extensionInstanceIdstring (uuid)required
Responses
Format
application/json
Beschreibung
OK
- aggregateReferenceobjectrequired
- aggregatestringrequired
- domainstringrequired
- idstring (uuid)required
- chargeabilityobjectrequired
- isChargeablebooleanrequired
- reasonsobjectrequired
- isNonChargeableCustomerbooleanrequired
- isOwnExtensionbooleanrequired
- consentedScopesArray von stringrequired
- Array[
- *string
]
- contributorIdstringrequired
- contributorNamestringrequired
- createdAtstring (date-time)
- disabledbooleanrequired
- extensionDeletionDeadlinestring (date-time)
- extensionIdstring (uuid)required
- extensionNamestringrequired
- extensionSubTitleobject
A few words to promote your Extension.
- destring (≤ 40 Zeichen)required
- enstring (≤ 40 Zeichen)
- frontendFragmentsobject
- *
- idstring (uuid)required
- nextScheduledWebhookExecutionstring (date-time)
- parentCustomerIdstringrequired
- pendingInstallationbooleanrequired
- pendingRemovalbooleanrequired
- scopeChangeAcceptanceDeadlinestring (date-time)
- variantKeystring
- webhookExecutionHaltedbooleanrequired
Content-Type: application/json
{
"aggregateReference": {
"aggregate": "string",
"domain": "string",
"id": "f0f86186-0a5a-45b2-aa33-502777496347"
},
"chargeability": {
"isChargeable": true,
"reasons": {
"isNonChargeableCustomer": true,
"isOwnExtension": true
}
},
"consentedScopes": [
"string"
],
"contributorId": "string",
"contributorName": "string",
"createdAt": "1985-10-26T01:21:00.000Z",
"disabled": true,
"extensionDeletionDeadline": "1985-10-26T01:21:00.000Z",
"extensionId": "f0f86186-0a5a-45b2-aa33-502777496347",
"extensionName": "string",
"extensionSubTitle": {
"de": "Ping deine App an",
"en": "Ping your app"
},
"frontendFragments": {
"string": null
},
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"nextScheduledWebhookExecution": "1985-10-26T01:21:00.000Z",
"parentCustomerId": "string",
"pendingInstallation": true,
"pendingRemoval": true,
"scopeChangeAcceptanceDeadline": "1985-10-26T01:21:00.000Z",
"variantKey": "default",
"webhookExecutionHalted": true
}
{
"properties": {
"aggregateReference": {
"properties": {
"aggregate": {
"type": "string"
},
"domain": {
"type": "string"
},
"id": {
"format": "uuid",
"type": "string"
}
},
"required": [
"id",
"domain",
"aggregate"
],
"type": "object"
},
"chargeability": {
"properties": {
"isChargeable": {
"default": false,
"type": "boolean"
},
"reasons": {
"properties": {
"isNonChargeableCustomer": {
"type": "boolean"
},
"isOwnExtension": {
"type": "boolean"
}
},
"required": [
"isOwnExtension",
"isNonChargeableCustomer"
],
"type": "object"
}
},
"required": [
"isChargeable",
"reasons"
],
"type": "object"
},
"consentedScopes": {
"items": {
"type": "string"
},
"type": "array"
},
"contributorId": {
"type": "string"
},
"contributorName": {
"type": "string"
},
"createdAt": {
"format": "date-time",
"type": "string"
},
"disabled": {
"default": false,
"type": "boolean"
},
"extensionDeletionDeadline": {
"format": "date-time",
"type": "string"
},
"extensionId": {
"format": "uuid",
"type": "string"
},
"extensionName": {
"type": "string"
},
"extensionSubTitle": {
"description": "A few words to promote your Extension.",
"properties": {
"de": {
"example": "Ping deine App an",
"maxLength": 40,
"type": "string"
},
"en": {
"example": "Ping your app",
"maxLength": 40,
"type": "string"
}
},
"required": [
"de"
],
"type": "object"
},
"frontendFragments": {
"additionalProperties": {
"allOf": [
{
"properties": {
"additionalProperties": {
"additionalProperties": {
"type": "string"
},
"type": "object"
}
},
"type": "object"
},
{
"oneOf": [
{
"properties": {
"url": {
"type": "string"
}
},
"required": [
"url"
],
"type": "object"
}
]
}
]
},
"type": "object"
},
"id": {
"format": "uuid",
"type": "string"
},
"nextScheduledWebhookExecution": {
"format": "date-time",
"type": "string"
},
"parentCustomerId": {
"type": "string"
},
"pendingInstallation": {
"default": false,
"type": "boolean"
},
"pendingRemoval": {
"default": false,
"type": "boolean"
},
"scopeChangeAcceptanceDeadline": {
"format": "date-time",
"type": "string"
},
"variantKey": {
"example": "default",
"type": "string"
},
"webhookExecutionHalted": {
"default": false,
"type": "boolean"
}
},
"required": [
"id",
"extensionId",
"contributorId",
"disabled",
"pendingInstallation",
"pendingRemoval",
"consentedScopes",
"aggregateReference",
"extensionName",
"contributorName",
"chargeability",
"webhookExecutionHalted",
"parentCustomerId"
],
"type": "object"
}
Format
application/json
Beschreibung
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Format
application/json
Beschreibung
The requested resource was not found
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Format
application/json
Beschreibung
Your request ran into a rate limit. You have to wait until rate limit expires
- messagestring
- typestring
Content-Type: application/json
{
"message": "too many requests",
"type": "RateLimitError"
}
{
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "too many requests"
},
"type": {
"type": "string",
"example": "RateLimitError"
}
}
}
Format
application/json
Beschreibung
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Nutzungsbeispiele
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/extension-instances/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.marketplace.extensionGetExtensionInstance({
"extensionInstanceId": "f0f86186-0a5a-45b2-aa33-502777496347"
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\Marketplace\ExtensionGetExtensionInstance\ExtensionGetExtensionInstanceRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new ExtensionGetExtensionInstanceRequest(
extensionInstanceId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->marketplace()->extensionGetExtensionInstance($request);
var_dump($response->getBody();